Subject: Re: bug#19023: 24.4; Long pause when evaluating numeric expression

From: Gareth Rees <[email-masked]>
Date: Tue, 11 Nov 2014 21:41:57 +0000

> But Emacs doesn't (and cannot) know what you want.

Surely Emacs should know that I don’t want to wait 10 seconds to see the result of evaluating a numeric expression? Or if this is really in doubt, Emacs could provide a user option by which I could tell it how long I’m prepared to wait. Or Emacs could show me the numeric result *while* it is searching the fonts, allowing me to hit C-g to cancel the search if I am happy with just the number.

For reference, the commit that introduced this problem appears to have been 3223d013c2f94e6a0dd37879cf5faec8c0b2261d

For the moment, I am working around the problem by advising eval-expression-print-format, like this:

(defun old-format (orig-fun value)
  (and (integerp value) (eq standard-output t)
       (format " (#o%o, #x%x)" value value)))

(advice-add 'eval-expression-print-format :around #'old-format)